import request from '@/utils/request'

// 业务类型管理 - 查询列表
export function listBusinessTypeAPI(query) {
    return request({
        url: '/planMajor/getPlanMajorList',
        method: 'GET',
        params: query,
    })
}

// 业务类型管理 - 新增
export function addBusinessTypeAPI(data) {
    return request({
        url: '/planMajor/addPlanMajor',
        method: 'POST',
        data,
    })
}

// 业务类型管理 - 修改
export function updateBusinessTypeAPI(data) {
    return request({
        url: '/planMajor/updatePlanMajor',
        method: 'POST',
        data,
    })
}

// 业务类型管理 - 删除
export function delBusinessTypeAPI(data) {
    return request({
        url: `/planMajor/delPlanMajor`,
        method: 'POST',
        data,
    })
}
